<?php
    namespace App\Entity\Interface;

    interface IUniqueOrderable {
        public function getTableName(): string;
        public function getColumnOrdre(): string;
        public function getColumnEnabledOrdre(): string;
        public function getColumnNewOrdreDirection(): string;
        public function getDefaultEnabledOrdre(): bool;
        public function getPartitionByColumns(): array;

        public function disableOrdreUniqueKey(): void;
        public function enableOrdreUniqueKey(): void;

        public function isFirst(): bool;
        public function isLast(): bool;

    }